--- old/usr/src/Makefile.master	2015-05-20 12:19:44.587646955 -0400
+++ new/usr/src/Makefile.master	2015-05-20 12:19:44.599523464 -0400
@@ -1135,6 +1135,10 @@
 	$(CPPFORPO) $< > $<.i
 	$(BUILD.po)
 
+.cc.po:
+	$(CPPFORPO) $< > $<.i
+	$(BUILD.po)
+
 .y.po:
 	$(YACC) -d $<
 	$(CPPFORPO) y.tab.c  > $<.i
--- old/usr/src/cmd/Makefile	2015-05-20 12:19:45.102375379 -0400
+++ new/usr/src/cmd/Makefile	2015-05-20 12:19:45.114644125 -0400
@@ -614,6 +614,7 @@
 	luxadm		\
 	lvm		\
 	mailx		\
+	make		\
 	man		\
 	mesg		\
 	mkdir		\
--- old/usr/src/cmd/make/Makefile	2015-05-20 12:19:45.657508174 -0400
+++ new/usr/src/cmd/make/Makefile	2015-05-20 12:19:45.668964639 -0400
@@ -11,20 +11,21 @@
 
 # Copyright 2015, Richard Lowe.
 
-SUBDIRS=bin \
-	lib
+SUBDIRS= bin \
+	 lib
 
 all	:=	TARGET = all
 install :=	TARGET = install
 clean	:=	TARGET = clean
 clobber	:=	TARGET = clobber
 lint	:=	TARGET = lint
+_msg	:=	TARGET = _msg
 
 .KEEP_STATE:
 
 bin: lib
 
-all clean clobber lint install: $(SUBDIRS)
+all clean clobber lint install _msg: $(SUBDIRS)
 
 $(SUBDIRS):	FRC
 	@cd $@; pwd; $(MAKE) $(TARGET)
--- old/usr/src/cmd/make/Makefile.com	2015-05-20 12:19:46.070385951 -0400
+++ new/usr/src/cmd/make/Makefile.com	2015-05-20 12:19:46.082110860 -0400
@@ -16,3 +16,8 @@
 CFLAGS += $(CCVERBOSE)
 CPPFLAGS += -I$(MAKE_INCLUDE) $(MAKE_DEFS)
 
+# So that it's set even for the libraries we build
+TEXT_DOMAIN = SUNW_OST_OSCMD
+
+$(POFILE): $(POFILES)
+	$(CAT) $(POFILES) > $@
--- old/usr/src/cmd/make/bin/Makefile	2015-05-20 12:19:46.461795943 -0400
+++ new/usr/src/cmd/make/bin/Makefile	2015-05-20 12:19:46.473429196 -0400
@@ -12,6 +12,7 @@
 # Copyright 2015, Richard Lowe.
 
 PROG=	make
+POFILE=	make.po
 OBJS=	ar.o		\
 	depvar.o	\
 	doname.o	\
@@ -29,11 +30,12 @@
 	read2.o		\
 	rep.o		\
 	state.o
+POFILES= $(OBJS:%.o=%.po)
 
 include ../../Makefile.cmd
 include ../Makefile.com
 
-LDLIBS += ../lib/mksh/libmksh.a ../lib/mksdmsi18n/libmksdmsi18n.a ../lib/vroot/libvroot.a
+LDLIBS += ../lib/mksh/libmksh.a ../lib/vroot/libvroot.a
 LDLIBS += ../lib/bsd/libbsd.a -lc -lnsl -lumem
 
 CPPFLAGS += -D_FILE_OFFSET_BITS=64
--- old/usr/src/cmd/make/bin/ar.cc	2015-05-20 12:19:46.859901160 -0400
+++ new/usr/src/cmd/make/bin/ar.cc	2015-05-20 12:19:46.871575753 -0400
@@ -43,6 +43,7 @@
 #include <ar.h>
 #include <errno.h>		/* errno */
 #include <fcntl.h>		/* open() */
+#include <libintl.h>
 #include <mk/defs.h>
 #include <mksh/misc.h>		/* retmem_mb() */
 
@@ -223,7 +224,7 @@
 			}
 			return target->stat.time = file_doesnt_exist;
 		} else {
-			fatal(catgets(catd, 1, 1, "Can't access archive `%s': %s"),
+			fatal(gettext("Can't access archive `%s': %s"),
 			      member->body.member.library->string_mb,
 			      errmsg(errno));
 		}
@@ -232,7 +233,7 @@
 		if (read_archive_dir(&ar, member->body.member.library, 
 				     &long_names_table)
 		    == failed){
-			fatal(catgets(catd, 1, 2, "Can't access archive `%s': %s"),
+			fatal(gettext("Can't access archive `%s': %s"),
 			      member->body.member.library->string_mb,
 			      errmsg(errno));
 		}
@@ -316,7 +317,7 @@
 		if (IS_WEQUALN(arp->ar_port.ar_name, wcs_buffer, 16)) {
  */
 		if (IS_EQUALN(arp->ar_port.ar_name,
-			      NOCATGETS("/               "),
+			      "/               ",
 			      16)) {
 			if (sscanf(arp->ar_port.ar_size,
 				   "%ld",
@@ -334,7 +335,7 @@
 		}
 		return succeeded;
 	}
-	fatal(catgets(catd, 1, 3, "`%s' is not an archive"), filename);
+	fatal(gettext("`%s' is not an archive"), filename);
 	/* NOTREACHED */
 	return failed;
 }
@@ -464,7 +465,7 @@
 				    return succeeded;
 			    }
 			    fatal(
-				catgets(catd, 1, 28, "Read error in archive `%s': invalid archive file member header at 0x%x"),
+				gettext("Read error in archive `%s': invalid archive file member header at 0x%x"),
 				library->string_mb,
 				ftell(arp->fd)
 			    );
@@ -511,7 +512,7 @@
 		    }
 		    if (sscanf(arp->ar_port.ar_date, "%ld", &date) != 1) {
 			    WCSTOMBS(mbs_buffer, name_string);
-			    fatal(catgets(catd, 1, 4, "Bad date field for member `%s' in archive `%s'"),
+			    fatal(gettext("Bad date field for member `%s' in archive `%s'"),
 				  mbs_buffer,
 				  library->string_mb);
 		    }
@@ -524,7 +525,7 @@
 		    }
 		    if (sscanf(arp->ar_port.ar_size, "%ld", &ptr) != 1) {
 			    WCSTOMBS(mbs_buffer, name_string);
-			    fatal(catgets(catd, 1, 5, "Bad size field for member `%s' in archive `%s'"),
+			    fatal(gettext("Bad size field for member `%s' in archive `%s'"),
 				  mbs_buffer,
 				  library->string_mb);
 		    }
@@ -538,7 +539,7 @@
 
 	/* Only here if fread() [or IS_EQUALN()] failed and not at EOF */
 read_error:
-	fatal(catgets(catd, 1, 6, "Read error in archive `%s': %s"),
+	fatal(gettext("Read error in archive `%s': %s"),
 	      library->string_mb,
 	      errmsg(errno));
 	    /* NOTREACHED */
@@ -571,7 +572,7 @@
 	}
 	if ((ar_member_header = 
 	     (Ar_port *) alloca((int) sizeof(Ar_port))) == NULL){
-		perror(catgets(catd, 1, 7, "memory allocation failure"));
+		perror(gettext("memory allocation failure"));
 		return failed;
 	} 
 	int ret = read_member_header(ar_member_header, arp->fd, filename);
@@ -583,7 +584,7 @@
 	}
 	/* Do we have special member containing long names? */
 	if (IS_EQUALN(ar_member_header->ar_name, 
-		      NOCATGETS("//              "),
+		      "//              ",
 		      16)){
 		if (sscanf(ar_member_header->ar_size,
 			   "%ld",
@@ -631,7 +632,7 @@
 	char		buffer[4];
 
 	if (arp->sym_begin == 0L || arp->num_symbols == 0L) {
-		fatal(catgets(catd, 1, 8, "Cannot find symbol `%s' in archive `%s'"),
+		fatal(gettext("Cannot find symbol `%s' in archive `%s'"),
 		      member->body.member.entry->string_mb,
 		      member->body.member.library->string_mb);
 	}
@@ -726,7 +727,7 @@
 				if (sscanf(arp->ar_port.ar_date,
 					   "%ld",
 					   &date) != 1) {
-					fatal(catgets(catd, 1, 9, "Bad date field for member `%s' in archive `%s'"),
+					fatal(gettext("Bad date field for member `%s' in archive `%s'"),
 					      arp->ar_port.ar_name,
 					      target->string_mb);
 				}
@@ -761,18 +762,18 @@
 			syms++;
 		}
 	}
-	fatal(catgets(catd, 1, 10, "Cannot find symbol `%s' in archive `%s'"),
+	fatal(gettext("Cannot find symbol `%s' in archive `%s'"),
 	      member->body.member.entry->string_mb,
 	      member->body.member.library->string_mb);
 	/*NOTREACHED*/
 
 read_error:
 	if (ferror(arp->fd)) {
-		fatal(catgets(catd, 1, 11, "Read error in archive `%s': %s"),
+		fatal(gettext("Read error in archive `%s': %s"),
 		      member->body.member.library->string_mb,
 		      errmsg(errno));
 	} else {
-		fatal(catgets(catd, 1, 12, "Read error in archive `%s': Premature EOF"),
+		fatal(gettext("Read error in archive `%s': Premature EOF"),
 		      member->body.member.library->string_mb);
 	}
 }
@@ -835,7 +836,7 @@
 	    )
 	) {
 		fatal(
-			catgets(catd, 1, 28, "Read error in archive `%s': invalid archive file member header at 0x%x"),
+			gettext("Read error in archive `%s': invalid archive file member header at 0x%x"),
 			filename,
 			ftell(fd)
 		);
--- old/usr/src/cmd/make/bin/depvar.cc	2015-05-20 12:19:47.332618670 -0400
+++ new/usr/src/cmd/make/bin/depvar.cc	2015-05-20 12:19:47.344184098 -0400
@@ -26,6 +26,8 @@
 /*
  * Included files
  */
+#include <libintl.h>
+
 #include <mk/defs.h>
 #include <mksh/misc.h>		/* getmem() */
 
@@ -98,9 +100,9 @@
 depvar_print_results(void)
 {
 	if (variant_deps) {
-		printf(catgets(catd, 1, 234, "differ\n"));
+		printf(gettext("differ\n"));
 	} else {
-		printf(catgets(catd, 1, 235, "same\n"));
+		printf(gettext("same\n"));
 	}
 }
 
--- old/usr/src/cmd/make/bin/doname.cc	2015-05-20 12:19:47.737339673 -0400
+++ new/usr/src/cmd/make/bin/doname.cc	2015-05-20 12:19:47.750138094 -0400
@@ -33,20 +33,15 @@
  * Included files
  */
 #include <alloca.h>		/* alloca() */
-
-
 #include <fcntl.h>
 #include <mk/defs.h>
 #include <mksh/i18n.h>		/* get_char_semantics_value() */
 #include <mksh/macro.h>		/* getvar(), expand_value() */
 #include <mksh/misc.h>		/* getmem() */
 #include <poll.h>
-
-
+#include <libintl.h>
 #include <signal.h>
-
-#	include <stropts.h>
-
+#include <stropts.h>
 #include <sys/errno.h>
 #include <sys/stat.h>
 #include <sys/types.h>
@@ -143,7 +138,7 @@
 		return build_running;
 	case build_failed:
 		if (!continue_after_error) {
-			fatal(catgets(catd, 1, 13, "Target `%s' not remade because of errors"),
+			fatal(gettext("Target `%s' not remade because of errors"),
 			      target->string_mb);
 		}
 		build_failed_seen = true;
@@ -169,12 +164,12 @@
 		}
 		second_pass = 0;
 		if (continue_after_error && !svr4) {
-			warning(catgets(catd, 1, 14, "Don't know how to make target `%s'"),
+			warning(gettext("Don't know how to make target `%s'"),
 				target->string_mb);
 			build_failed_seen = true;
 			return build_failed;
 		}
-		fatal(catgets(catd, 1, 15, "Don't know how to make target `%s'"), target->string_mb);
+		fatal(gettext("Don't know how to make target `%s'"), target->string_mb);
 		break;
 	}
 #ifdef lint
@@ -439,7 +434,7 @@
 		}
 	}
 	if (debug_level > 1) {
-		(void) printf(NOCATGETS("%*sdoname(%s)\n"),
+		(void) printf("%*sdoname(%s)\n",
 			      recursion_level,
 			      "",
 			      target->string_mb);
@@ -447,7 +442,7 @@
 	recursion_level++;
 	/* Avoid infinite loops */
 	if (target->state == build_in_progress) {
-		warning(catgets(catd, 1, 16, "Infinite loop: Target `%s' depends on itself"),
+		warning(gettext("Infinite loop: Target `%s' depends on itself"),
 			target->string_mb);
 		return build_ok;
 	}
@@ -685,7 +680,7 @@
 			if (build_unconditional || out_of_date) {
 				line->body.line.is_out_of_date = true;
 				if (debug_level > 0) {
-					(void) printf(catgets(catd, 1, 17, "%*sBuilding %s using .DEFAULT because it is out of date\n"),
+					(void) printf(gettext("%*sBuilding %s using .DEFAULT because it is out of date\n"),
 						      recursion_level,
 						      "",
 						      true_target->string_mb);
@@ -879,7 +874,7 @@
 							    auto_count,
 							    automatics)) {
 		if (debug_level > 0) {
-			(void) printf(catgets(catd, 1, 18, "%*sTarget `%s' acquired new dependencies from build, rechecking all dependencies\n"),
+			(void) printf(gettext("%*sTarget `%s' acquired new dependencies from build, rechecking all dependencies\n"),
 				      recursion_level,
 				      "",
 				      true_target->string_mb);
@@ -1032,7 +1027,7 @@
 				  command_changed =
 				    true;
 				if (debug_level > 0) {
-					(void) printf(catgets(catd, 1, 19, "Target %s rebuilt because dependency %s does not exist\n"),
+					(void) printf(gettext("Target %s rebuilt because dependency %s does not exist\n"),
 						     true_target->string_mb,
 						     dependency->name->string_mb);
 				}
@@ -1062,14 +1057,14 @@
 			}
 
 			if (debug_level > 1) {
-				(void) printf(catgets(catd, 1, 20, "%*sDate(%s)=%s \n"),
+				(void) printf(gettext("%*sDate(%s)=%s \n"),
 					      recursion_level,
 					      "",
 					      dependency->name->string_mb,
 					      time_to_string(dependency->name->
 							     stat.time));
 				if (dependency->name->stat.time > line->body.line.dependency_time) {
-					(void) printf(catgets(catd, 1, 21, "%*sDate-dependencies(%s) set to %s\n"),
+					(void) printf(gettext("%*sDate-dependencies(%s) set to %s\n"),
 						      recursion_level,
 						      "",
 						      true_target->string_mb,
@@ -1128,13 +1123,13 @@
 				out_of_date_tail = &(*out_of_date_tail)->next;
 				if (debug_level > 0) {
 					if (dependency->name->stat.time == file_max_time) {
-						(void) printf(catgets(catd, 1, 22, "%*sBuilding %s because %s does not exist\n"),
+						(void) printf(gettext("%*sBuilding %s because %s does not exist\n"),
 							      recursion_level,
 							      "",
 							      true_target->string_mb,
 							      dependency->name->string_mb);
 					} else {
-						(void) printf(catgets(catd, 1, 23, "%*sBuilding %s because it is out of date relative to %s\n"),
+						(void) printf(gettext("%*sBuilding %s because it is out of date relative to %s\n"),
 							      recursion_level,
 							      "",
 							      true_target->string_mb,
@@ -1204,7 +1199,7 @@
 	 */
 	if (line->body.line.command_template != NULL) {
 		if (line->body.line.command_template_redefined) {
-			warning(catgets(catd, 1, 24, "Too many rules defined for target %s"),
+			warning(gettext("Too many rules defined for target %s"),
 				target->string_mb);
 		}
 		*command = line;
@@ -1424,7 +1419,7 @@
 				dependency->name = normalize_name(start, p - start);
 				if ((debug_level > 0) &&
 				    (first_member == NULL)) {
-					(void) printf(catgets(catd, 1, 25, "%*sDynamic dependency `%s' for target `%s'\n"),
+					(void) printf(gettext("%*sDynamic dependency `%s' for target `%s'\n"),
 						      recursion_level,
 						      "",
 						      dependency->name->string_mb,
@@ -1459,7 +1454,7 @@
 					retmem(string.buffer.start);
 				}
 				if (debug_level > 0) {
-					(void) printf(catgets(catd, 1, 26, "%*sDynamic dependency `%s' for target `%s'\n"),
+					(void) printf(gettext("%*sDynamic dependency `%s' for target `%s'\n"),
 						      recursion_level,
 						      "",
 						      first_member->name->
@@ -1616,7 +1611,7 @@
 	    line->body.line.sccs_command &&
 	    (target->stat.time != file_doesnt_exist) &&
 	    ((target->stat.mode & 0222) != 0)) {
-		fatal(catgets(catd, 1, 27, "%s is writable so it cannot be sccs gotten"),
+		fatal(gettext("%s is writable so it cannot be sccs gotten"),
 		      target->string_mb);
 		target->has_complained = remember_only = true;
 	}
@@ -1637,7 +1632,7 @@
 		   strcpy(tmp_file_path, temp_file_directory);
 		}
 		sprintf(mbs_buffer,
-				NOCATGETS("%s/.make.dependency.%08x.%d.%d"),
+				"%s/.make.dependency.%08x.%d.%d",
 			        tmp_file_path,
 			        hostid,
 			        getpid(),
@@ -1827,12 +1822,12 @@
 		}
 		if (result == build_failed) {
 			if (silent || rule->silent) {
-				(void) printf(catgets(catd, 1, 242, "The following command caused the error:\n%s\n"),
+				(void) printf(gettext("The following command caused the error:\n%s\n"),
 				              rule->command_line->string_mb);
 			}
 			if (!rule->ignore_error && !ignore_errors) {
 				if (!continue_after_error) {
-					fatal(catgets(catd, 1, 244, "Command failed for target `%s'"),
+					fatal(gettext("Command failed for target `%s'"),
 					      target->string_mb);
 				}
 				/*
@@ -2110,7 +2105,7 @@
 	}
 	switch (*equal) {
 	case nul_char:
-		fatal(catgets(catd, 1, 31, "= expected in rule `%s' for target `%s'"),
+		fatal(gettext("= expected in rule `%s' for target `%s'"),
 		      line->string_mb,
 		      target->string_mb);
 	case plus_char:
@@ -2404,7 +2399,7 @@
 					if (used->command_line != NULL
 					    && *used->command_line->string_mb !=
 					    '\0') {
-						(void) printf(catgets(catd, 1, 32, "%*sBuilding %s because new command \n\t%s\n%*sdifferent from old\n\t%s\n"),
+						(void) printf(gettext("%*sBuilding %s because new command \n\t%s\n%*sdifferent from old\n\t%s\n"),
 							      recursion_level,
 							      "",
 							      target->string_mb,
@@ -2415,7 +2410,7 @@
 							      command_line->
 							      string_mb);
 					} else {
-						(void) printf(catgets(catd, 1, 33, "%*sBuilding %s because new command \n\t%s\n%*sdifferent from empty old command\n"),
+						(void) printf(gettext("%*sBuilding %s because new command \n\t%s\n%*sdifferent from empty old command\n"),
 							      recursion_level,
 							      "",
 							      target->string_mb,
@@ -2440,7 +2435,7 @@
 		if (keep_state &&
 		    !ignore_all_command_dependency) {
 			if (debug_level > 0) {
-				(void) printf(catgets(catd, 1, 34, "%*sBuilding %s because new command shorter than old\n"),
+				(void) printf(gettext("%*sBuilding %s because new command shorter than old\n"),
 					      recursion_level,
 					      "",
 					      target->string_mb);
@@ -2455,7 +2450,7 @@
 	    !ignore_all_command_dependency &&
 	    keep_state) {
 		if (debug_level > 0) {
-			(void) printf(catgets(catd, 1, 35, "%*sBuilding %s because new command longer than old\n"),
+			(void) printf(gettext("%*sBuilding %s because new command longer than old\n"),
 				      recursion_level,
 				      "",
 				      target->string_mb);
@@ -2521,7 +2516,7 @@
 			 * "touch" in .make.state.
 			 */
 			INIT_STRING_FROM_STACK(touch_string, buffer);
-			MBSTOWCS(wcs_buffer, NOCATGETS("touch "));
+			MBSTOWCS(wcs_buffer, "touch ");
 			append_string(wcs_buffer, &touch_string, FIND_LENGTH);
 			touch_cmd = name;
 			if (name->has_vpath_alias_prop) {
@@ -2686,7 +2681,7 @@
 	/* For sccs, we need to chase symlinks. */
         while (target->stat.is_sym_link) {
 		if (sym_link_depth++ > 90) {
-			fatal(catgets(catd, 1, 95, "Can't read symbolic link `%s': Number of symbolic links encountered during path name traversal exceeds 90."),
+			fatal(gettext("Can't read symbolic link `%s': Number of symbolic links encountered during path name traversal exceeds 90."),
 			      target->string_mb);
 		}
                 /* Read the value of the link. */
@@ -2696,7 +2691,7 @@
 					NULL,
 					VROOT_DEFAULT);
                 if (result == -1) {
-                        fatal(catgets(catd, 1, 36, "Can't read symbolic link `%s': %s"),
+                        fatal(gettext("Can't read symbolic link `%s': %s"),
                               target->string_mb, errmsg(errno));
 		}
 		link[result] = 0;
@@ -2768,7 +2763,7 @@
 			 */
 			line->body.line.is_out_of_date = true;
 			if (debug_level > 0) {
-				(void) printf(catgets(catd, 1, 37, "%*sSccs getting %s because s. file is younger than source file\n"),
+				(void) printf(gettext("%*sSccs getting %s because s. file is younger than source file\n"),
 					      recursion_level,
 					      "",
 					      target->string_mb);
@@ -2830,9 +2825,9 @@
 	static Name		usr_include_sys;
 
 	if (usr_include == NULL) {
-		MBSTOWCS(usr_include_buf, NOCATGETS("/usr/include"));
+		MBSTOWCS(usr_include_buf, "/usr/include");
 		usr_include = GETNAME(usr_include_buf, FIND_LENGTH);
-		MBSTOWCS(usr_include_sys_buf, NOCATGETS("/usr/include/sys"));
+		MBSTOWCS(usr_include_sys_buf, "/usr/include/sys");
 		usr_include_sys = GETNAME(usr_include_sys_buf, FIND_LENGTH);
 	}
 
@@ -2965,7 +2960,7 @@
 		  maybe_append_prop(conditional->body.conditional.name,
 				    macro_prop)->body.macro;
 		if (debug_level > 1) {
-			(void) printf(catgets(catd, 1, 38, "%*sActivating conditional value: "),
+			(void) printf(gettext("%*sActivating conditional value: "),
 				      recursion_level,
 				      "");
 		}
@@ -3021,7 +3016,7 @@
 		/* Remove conditional target from chain */
 		if (conditional_targets == NULL ||
 		    conditional_targets->name != target) {
-			warning(catgets(catd, 1, 39, "Internal error: reset target not at head of condtional_targets chain"));
+			warning(gettext("Internal error: reset target not at head of condtional_targets chain"));
 		} else {
 			cond_chain = conditional_targets->next;
 			retmem_mb((caddr_t) conditional_targets);
@@ -3035,7 +3030,7 @@
 	}
 	if (debug_level > 1) {
 		if (old_locals[index].body.macro.value != NULL) {
-			(void) printf(catgets(catd, 1, 40, "%*sdeactivating conditional value: %s= %s\n"),
+			(void) printf(gettext("%*sdeactivating conditional value: %s= %s\n"),
 				      recursion_level,
 				      "",
 				      conditional->body.conditional.name->
@@ -3043,7 +3038,7 @@
 				      old_locals[index].body.macro.value->
 				      string_mb);
 		} else {
-			(void) printf(catgets(catd, 1, 41, "%*sdeactivating conditional value: %s =\n"),
+			(void) printf(gettext("%*sdeactivating conditional value: %s =\n"),
 				      recursion_level,
 				      "",
 				      conditional->body.conditional.name->
--- old/usr/src/cmd/make/bin/files.cc	2015-05-20 12:19:48.420554412 -0400
+++ new/usr/src/cmd/make/bin/files.cc	2015-05-20 12:19:48.432646436 -0400
@@ -42,6 +42,7 @@
 #include <mksh/macro.h>		/* getvar() */
 #include <mksh/misc.h>		/* get_prop(), append_prop() */
 #include <sys/stat.h>		/* lstat() */
+#include <libintl.h>
 
 /*
  * Defined macros
@@ -102,7 +103,7 @@
 	}
 
 	if (debug_level > 1) {
-		(void) printf(NOCATGETS("%*sstat(%s)\n"),
+		(void) printf("%*sstat(%s)\n",
 		              recursion_level,
 		              "",
 		              target->string_mb);
@@ -360,7 +361,7 @@
 			 */
 			if (debug_level > 0){
 				WCSTOMBS(mbs_buffer, pattern);
-				(void) printf(catgets(catd, 1, 231, "'%s: %s' due to %s expansion\n"),
+				(void) printf(gettext("'%s: %s' due to %s expansion\n"),
 					      line->body.line.target->string_mb,
 					      file->string_mb,
 					      mbs_buffer);
@@ -397,7 +398,7 @@
 			    amatch(tmp_wcs_buffer, pattern)) {
 				if (debug_level > 0) {
 					WCSTOMBS(mbs_buffer, pattern);
-					(void) printf(catgets(catd, 1, 232, "'%s: %s' due to %s expansion\n"),
+					(void) printf(gettext("'%s: %s' due to %s expansion\n"),
 						      line->body.line.target->
 						      string_mb,
 						      plain_file->string_mb,
@@ -452,21 +453,21 @@
 			tmp_wchar = *file_name_p;
 			*file_name_p = 0;
 			WCSTOMBS(mbs_buffer, file_name);
-			(void) sprintf(mb_path, NOCATGETS("%s/%s/SCCS"),
+			(void) sprintf(mb_path, "%s/%s/SCCS",
 				        sccs_dir_path,
 				        mbs_buffer);
 			*file_name_p = tmp_wchar;
 		} else {
-			(void) sprintf(mb_path, NOCATGETS("%s/SCCS"), sccs_dir_path);
+			(void) sprintf(mb_path, "%s/SCCS", sccs_dir_path);
 		}
 		MBSTOWCS(path, mb_path);
 		(void) wscpy(file_name, path);
 	  } else {
-		MBSTOWCS(wcs_buffer, NOCATGETS("SCCS"));
+		MBSTOWCS(wcs_buffer, "SCCS");
 		(void) wscpy(file_name_p, wcs_buffer);
 	  }
 	} else {
-		MBSTOWCS(wcs_buffer, NOCATGETS("."));
+		MBSTOWCS(wcs_buffer, ".");
 		(void) wscpy(file_name_p, wcs_buffer);
 	}
 	/* Internalize the constructed SCCS dir name. */
@@ -532,7 +533,7 @@
 			    amatch(tmp_wcs_buffer, pattern)) {
 				if (debug_level > 0) {
 					WCSTOMBS(mbs_buffer, pattern);
-					(void) printf(catgets(catd, 1, 233, "'%s: %s' due to %s expansion\n"),
+					(void) printf(gettext("'%s: %s' due to %s expansion\n"),
 						      line->body.line.target->
 						      string_mb,
 						      plain_file->string_mb,
--- old/usr/src/cmd/make/bin/globals.cc	2015-05-20 12:19:48.868548809 -0400
+++ new/usr/src/cmd/make/bin/globals.cc	2015-05-20 12:19:48.880262208 -0400
@@ -159,8 +159,8 @@
 	Name		suffixes_name;
 	Name		sunpro_dependencies;
         Boolean		target_variants;
-	const char	*tmpdir = NOCATGETS("/tmp");
-	const char	*temp_file_directory = NOCATGETS(".");
+	const char	*tmpdir = "/tmp";
+	const char	*temp_file_directory = ".";
 	Name		temp_file_name;
 	short		temp_file_number;
 	time_t		timing_start;
@@ -173,7 +173,6 @@
 	wchar_t		wcs_buffer2[MAXPATHLEN];
 	wchar_t		*wcs_ptr;
 	wchar_t		*wcs_ptr2;
-	nl_catd		catd;
 	long int	hostid;
 
 /*
--- old/usr/src/cmd/make/bin/implicit.cc	2015-05-20 12:19:49.346696314 -0400
+++ new/usr/src/cmd/make/bin/implicit.cc	2015-05-20 12:19:49.358847926 -0400
@@ -35,6 +35,7 @@
 #include <mk/defs.h>
 #include <mksh/macro.h>		/* expand_value() */
 #include <mksh/misc.h>		/* retmem() */
+#include <libintl.h>
 
 /*
  * Defined macros
@@ -139,7 +140,7 @@
 				       target_prop)->body.target.target;
 	}
 	if (debug_level > 1) {
-		(void) printf(NOCATGETS("%*sfind_suffix_rule(%s,%s,%s)\n"),
+		(void) printf("%*sfind_suffix_rule(%s,%s,%s)\n",
 			      recursion_level,
 			      "",
 			      true_target->string_mb,
@@ -189,7 +190,7 @@
 			  (int) nul_char;
 			if (debug_level > 1) {
 				WCSTOMBS(mbs_buffer, sourcename);
-				(void) printf(catgets(catd, 1, 218, "%*sTrying %s\n"),
+				(void) printf(gettext("%*sTrying %s\n"),
 					      recursion_level,
 					      "",
 					      mbs_buffer);
@@ -239,13 +240,13 @@
 			          }
 				  /* copy everything including '/' */
 				  strncpy(tmpbuf, source->string_mb, p - source->string_mb + 1);
-				  strcat(tmpbuf, NOCATGETS("s."));
+				  strcat(tmpbuf, "s.");
 				  strcat(tmpbuf, p+1);
 				  retmem((wchar_t *) source->string_mb); 
 				  source->string_mb = tmpbuf;
 				
 			        } else {
-				  strcpy(tmpbuf, NOCATGETS("s."));
+				  strcpy(tmpbuf, "s.");
 				  strcat(tmpbuf, source->string_mb);
 				  retmem((wchar_t *) source->string_mb); 
 				  source->string_mb = tmpbuf;
@@ -349,7 +350,7 @@
 			
 			if (debug_level > 1) {
 				WCSTOMBS(mbs_buffer, sourcename);
-				(void) printf(catgets(catd, 1, 219, "%*sFound %s\n"),
+				(void) printf(gettext("%*sFound %s\n"),
 					      recursion_level,
 					      "",
 					      mbs_buffer);
@@ -369,7 +370,7 @@
 			}
 			if ((source->stat.time > (*command)->body.line.dependency_time) &&
 			    (debug_level > 1)) {
-				(void) printf(catgets(catd, 1, 220, "%*sDate(%s)=%s Date-dependencies(%s)=%s\n"),
+				(void) printf(gettext("%*sDate(%s)=%s Date-dependencies(%s)=%s\n"),
 					      recursion_level,
 					      "",
 					      source->string_mb,
@@ -400,7 +401,7 @@
 					line->body.line.is_out_of_date = true;
 				}
 				if (debug_level > 0) {
-					(void) printf(catgets(catd, 1, 221, "%*sBuilding %s using suffix rule for %s%s because it is out of date relative to %s\n"),
+					(void) printf(gettext("%*sBuilding %s using suffix rule for %s%s because it is out of date relative to %s\n"),
 						      recursion_level,
 						      "",
 						      true_target->string_mb,
@@ -436,7 +437,7 @@
 			  extern Name dollarless_value;
 
 			  if(tilde_rule) {
-			      MBSTOWCS(wcs_buffer, NOCATGETS(source->string_mb));
+			      MBSTOWCS(wcs_buffer, source->string_mb);
 			      dollarless_value = GETNAME(wcs_buffer,FIND_LENGTH);
 			  }
 			  else {
@@ -506,7 +507,7 @@
 	Wstring			suf_string;
 
 	if (dot_a == NULL) {
-		MBSTOWCS(wcs_buffer, NOCATGETS(".a"));
+		MBSTOWCS(wcs_buffer, ".a");
 		dot_a = GETNAME(wcs_buffer, FIND_LENGTH);
 	}
 	target_end = targ_string.get_string() + true_target->hash.length;
@@ -516,7 +517,7 @@
 	 * from .SUFFIXES.
 	 */
 	if (debug_level > 1) {
-		(void) printf(NOCATGETS("%*sfind_ar_suffix_rule(%s)\n"),
+		(void) printf("%*sfind_ar_suffix_rule(%s)\n",
 			      recursion_level,
 			      "",
 			      true_target->string_mb);
@@ -617,7 +618,7 @@
 	 */
 	target_end = targ_string.get_string() + true_target->hash.length;
 	if (debug_level > 1) {
-		(void) printf(NOCATGETS("%*sfind_double_suffix_rule(%s)\n"),
+		(void) printf("%*sfind_double_suffix_rule(%s)\n",
 			      recursion_level,
 			      "",
 			      true_target->string_mb);
@@ -709,7 +710,7 @@
 		return;
 	}
 	if (debug_level > 1) {
-		(void) printf(NOCATGETS("%*sbuild_suffix_list(%s) "),
+		(void) printf("%*sbuild_suffix_list(%s) ",
 			      recursion_level,
 			      "",
 			      target_suffix->string_mb);
@@ -822,7 +823,7 @@
 				       long_member_name_prop)->body.long_member_name.member_name;
 	}
 	if (debug_level > 1) {
-		(void) printf(catgets(catd, 1, 222, "%*sLooking for %% rule for %s\n"),
+		(void) printf(gettext("%*sLooking for %% rule for %s\n"),
 			      recursion_level,
 			      "",
 			      true_target->string_mb);
@@ -903,7 +904,7 @@
 						result = build_ok;
 				} else {
 					if (debug_level > 1) {
-						(void) printf(catgets(catd, 1, 223, "%*sTrying %s\n"),
+						(void) printf(gettext("%*sTrying %s\n"),
 							      recursion_level,
 							      "",
 							      depe_to_check->string_mb);
@@ -993,7 +994,7 @@
 	}
 
 	if (debug_level > 1) {
-		(void) printf(catgets(catd, 1, 224, "%*sMatched %s:"),
+		(void) printf(gettext("%*sMatched %s:"),
 				      recursion_level,
 				      "",
 				      target->string_mb);
@@ -1019,7 +1020,7 @@
 			}
 		}
 
-		(void) printf(catgets(catd, 1, 225, " from: %s:"),
+		(void) printf(gettext(" from: %s:"),
 			      pat_rule->name->string_mb);
 
 		for (pat_depe = pat_rule->dependencies;
@@ -1069,7 +1070,7 @@
 
 			if ((depe->name->stat.time > line->body.line.dependency_time) &&
 			    (debug_level > 1)) {
-				(void) printf(catgets(catd, 1, 226, "%*sDate(%s)=%s Date-dependencies(%s)=%s\n"),
+				(void) printf(gettext("%*sDate(%s)=%s Date-dependencies(%s)=%s\n"),
 					      recursion_level,
 					      "",
 					      depe->name->string_mb,
@@ -1095,7 +1096,7 @@
 				add_target_to_chain(depe->name, &(line->body.line.query));
 
 				if (debug_level > 0) {
-					(void) printf(catgets(catd, 1, 227, "%*sBuilding %s using pattern rule %s:"),
+					(void) printf(gettext("%*sBuilding %s using pattern rule %s:"),
 						      recursion_level,
 						      "",
 						      true_target->string_mb,
@@ -1107,7 +1108,7 @@
 						(void) printf(" %s", pat_depe->name->string_mb);
 					}
 
-					(void) printf(catgets(catd, 1, 228, " because it is out of date relative to %s\n"), 
+					(void) printf(gettext(" because it is out of date relative to %s\n"), 
 						      depe->name->string_mb);
 				}	
 			}
@@ -1119,14 +1120,14 @@
 				line->body.line.is_out_of_date = true;
 			}
 			if (debug_level > 0) {
-				(void) printf(catgets(catd, 1, 229, "%*sBuilding %s using pattern rule %s: "),
+				(void) printf(gettext("%*sBuilding %s using pattern rule %s: "),
 					      recursion_level,
 					      "",
 					      true_target->string_mb,
 					      pat_rule->name->string_mb,
 					      (target->stat.time > file_doesnt_exist) ?
-					      catgets(catd, 1, 230, "because it is out of date") :
-					      catgets(catd, 1, 236, "because it does not exist"));
+					      gettext("because it is out of date") :
+					      gettext("because it does not exist"));
 			}
 		}
 	}
